org.modeshape.jcr.query

## Class JcrQueryResult.QueryResultRowIterator

- java.lang.Object
- - org.modeshape.jcr.query.JcrQueryResult.QueryResultIterator
  - - org.modeshape.jcr.query.JcrQueryResult.QueryResultRowIterator

- All Implemented Interfaces:
    Iterator, RowIterator, RangeIterator
  Direct Known Subclasses:
    JcrQueryResult.SingleSelectorQueryResultRowIterator
  Enclosing class:
    JcrQueryResult

      @NotThreadSafe
      protected static class JcrQueryResult.QueryResultRowIterator
      extends JcrQueryResult.QueryResultIterator
      implements RowIterator

  The `RowIterator` implementation returned by the `JcrQueryResult`.
  See Also:
    `JcrQueryResult.getRows()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<String>` | `columnNames`
    `protected QueryResults.Columns` | `columns`
    `protected String` | `query`

    - ### Fields inherited from class org.modeshape.jcr.query.JcrQueryResult.QueryResultIterator

      `context`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JcrQueryResult.QueryResultRowIterator(JcrQueryContext context, String query, NodeSequence sequence, QueryResults.Columns columns)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Row` | `createRow(NodeSequence.Batch batch)`
    `protected String` | `getPropertyNameForColumnName(String columnName)`
    `boolean` | `hasSelector(String selectorName)`
    `protected Value` | `jcrChildCount(CachedNode node)`
    `protected Value` | `jcrDepth(CachedNode node)`
    `protected Value` | `jcrDouble(Double score)`
    `protected Value` | `jcrDouble(Float score)`
    `protected Value` | `jcrId(CachedNode node)`
    `protected Value` | `jcrLocalName(CachedNode node)`
    `protected Value` | `jcrLong(Long value)`
    `protected Value` | `jcrName()`
    `protected Value` | `jcrName(CachedNode node)`
    `protected Value` | `jcrName(String name)`
    `protected Value` | `jcrPath(CachedNode node)`
    `protected Value` | `jcrPath(String path)`
    `protected Value` | `jcrString(String name)`
    `protected Value` | `jcrUuid(CachedNode node)`
    `Object` | `next()`
    `Row` | `nextRow()`
    `protected int` | `nodeIndexForSelector(String selector)`
    `void` | `remove()`

    - ### Methods inherited from class org.modeshape.jcr.query.JcrQueryResult.QueryResultIterator

      `findNextBatch, getPosition, getSize, hasNext, moveToNextRow, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.jcr.RangeIterator

      `getPosition, getSize, skip`

    - ### Methods inherited from interface java.util.Iterator

      `hasNext`

- - ### Field Detail

    - #### columnNames

          protected final List<String> columnNames

    - #### columns

          protected final QueryResults.Columns columns

    - #### query

          protected final String query

  - ### Constructor Detail

    - #### JcrQueryResult.QueryResultRowIterator

          protected JcrQueryResult.QueryResultRowIterator(JcrQueryContext context,
                                               String query,
                                               NodeSequence sequence,
                                               QueryResults.Columns columns)

  - ### Method Detail

    - #### hasSelector

          public boolean hasSelector(String selectorName)

    - #### nextRow

          public Row nextRow()

      Specified by:
        `nextRow` in interface `RowIterator`

    - #### next

          public Object next()

      Specified by:
        `next` in interface `Iterator`

    - #### createRow

          protected Row createRow(NodeSequence.Batch batch)

    - #### getPropertyNameForColumnName

          protected String getPropertyNameForColumnName(String columnName)

    - #### nodeIndexForSelector

          protected int nodeIndexForSelector(String selector)

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator`

    - #### jcrPath

          protected Value jcrPath(CachedNode node)

    - #### jcrUuid

          protected Value jcrUuid(CachedNode node)

    - #### jcrName

          protected Value jcrName(CachedNode node)

    - #### jcrLocalName

          protected Value jcrLocalName(CachedNode node)

    - #### jcrDepth

          protected Value jcrDepth(CachedNode node)

    - #### jcrChildCount

          protected Value jcrChildCount(CachedNode node)

    - #### jcrId

          protected Value jcrId(CachedNode node)

    - #### jcrPath

          protected Value jcrPath(String path)

    - #### jcrName

          protected Value jcrName(String name)

    - #### jcrName

          protected Value jcrName()

    - #### jcrString

          protected Value jcrString(String name)

    - #### jcrLong

          protected Value jcrLong(Long value)

    - #### jcrDouble

          protected Value jcrDouble(Double score)

    - #### jcrDouble

          protected Value jcrDouble(Float score)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.